Skip to main content
`Ctrl`+`K`

# PCGAMGMISkSetMinDegreeOrdering

Use minimum degree ordering in greedy MIS algorithm

## Synopsis

    #include "petscpc.h"
    PetscErrorCode PCGAMGMISkSetMinDegreeOrdering(PC pc, PetscBool b)

Logically Collective

## Input Parameters

- pc - the preconditioner context

- b - default false

## Options Database Key

- -pc_gamg_mis_k_minimum_degree_ordering <bool,default=false> - the flag

## See Also

the Users Manual section on PCGAMG, the Users Manual section on PCMG, KSP: Linear System Solvers, `PCGAMG`, `PCGAMGSetThreshold()`, `PCGAMGSetAggressiveLevels()`, `PCGAMGMISkSetAggressive()`, `PCGAMGSetAggressiveSquareGraph()`, `PCGAMGSetLowMemoryFilter()`

## Level

intermediate

## Location

src/ksp/pc/impls/gamg/agg.c

## Examples

src/ksp/ksp/tutorials/ex56.c

## Implementations

PCGAMGMISkSetMinDegreeOrdering_AGG() in src/ksp/pc/impls/gamg/agg.c

Index of all PC routines
Table of Contents for all manual pages
Index of all manual pages